Viviot.Api

<back to all web services

GetSupportRequestComments

SupportRequests
Requires Authentication
Requires any of the roles:Admin, TenantAdmin
The following routes are available for this service:
GET/supportrequest/{SupportRequestId}/commentsGets the comments on a Support Request.
GetSupportRequestComments Parameters:
NameParameterData TypeRequiredDescription
SupportRequestIdpathstringYesSupport Request Id (GUID)
BaseRequest Parameters:
NameParameterData TypeRequiredDescription
VersionformintegerNoApi version
SupportRequestCommentResponse Parameters:
NameParameterData TypeRequiredDescription
DataformList<SupportRequestCommentView>No
BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo
SupportRequestCommentView Parameters:
NameParameterData TypeRequiredDescription
IdformGuidNo
SupportRequestIdformGuidNo
AuthorBusinessUserIdformintNo
AuthorNameformstringNo
TextformstringNo
CreatedAtformDateTimeNo
AzureDevOpsCommentIdformint?No

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /supportrequest/{SupportRequestId}/comments HTTP/1.1 
Host: api.4spaces.io 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"data":[{"id":"00000000000000000000000000000000","supportRequestId":"00000000000000000000000000000000","authorBusinessUserId":0,"authorName":"String","text":"String","azureDevOpsCommentId":0}],"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}